Package com.independentsoft.office.diagrams

# Enum Class HierarchyBranchStyle

java.lang.Object
java.lang.Enum<HierarchyBranchStyle>
com.independentsoft.office.diagrams.HierarchyBranchStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<HierarchyBranchStyle>`, `Constable`

public enum HierarchyBranchStyle extends Enum<HierarchyBranchStyle>
The Enum HierarchyBranchStyle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HANGING`
  `INITIAL`
  `LEFT`
  `NONE`
  `RIGHT`
  `STANDARD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HierarchyBranchStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static HierarchyBranchStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HANGING

    public static final HierarchyBranchStyle HANGING

  - ### INITIAL

    public static final HierarchyBranchStyle INITIAL

  - ### LEFT

    public static final HierarchyBranchStyle LEFT

  - ### RIGHT

    public static final HierarchyBranchStyle RIGHT

  - ### STANDARD

    public static final HierarchyBranchStyle STANDARD

  - ### NONE

    public static final HierarchyBranchStyle NONE

- ## Method Details

  - ### values

    public static HierarchyBranchStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HierarchyBranchStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null